/* HEADER FILE *****************************************************
 * WTSERVER.H  -  Writing Tools API Server Sample Application
 *                
 *******************************************************************
 *  Copyright (C) 1993 WordPerfect Corp., All Rights Reserved 
 *******************************************************************/

/** Definitions **/
#define BUFSIZE 256				/* default buffer size */
#define TEXTSIZE 2048			/* get text in 2k blocks */
#define WORDSIZE 256			/* Max word size is 256 chars */

/* Translate menu items */
typedef enum {
	TL_TRANS_NATPIG = 0,
	TL_TRANS_PIGNAT,
	TL_TRANS_WORD,
	TL_TRANS_DOC,
	TL_TRANS_ENDDOC,
	TL_TRANS_SELECT,
	TL_TRANS_CNT		/* number of Translate items (ALWAYS LAST ENTRY!!!) */
} TL_TRANS;

typedef enum {
	TL_EDIT_UNDO = 0,
	TL_EDIT_CUT,
	TL_EDIT_COPY,
	TL_EDIT_PASTE,
	TL_EDIT_CNT			/* number of Edit items (ALWAYS LAST ENTRY!!!) */
} TL_EDIT;

/* Help menu items */
typedef enum {
	TL_HELP_ABOUT = 0,
	TL_HELP_CNT			/* number of Help items (ALWAYS LAST ENTRY!!!) */
} TL_HELP;

/* Push buttons */
typedef enum {
	TL_BUT_START = 0,
	TL_BUT_SKIP,
	TL_BUT_RETRANS,
	TL_BUT_TRANSALL,
	TL_BUT_CLOSE,
	TL_BUT_CNT			/* number of Side Buttons (ALWAYS LAST ENTRY!!!) */
} TL_BUT;
#define TL_BUT_TRANSLATE	TL_BUT_START
#define TL_BUT_REPLACE		TL_BUT_START

typedef enum {
	MB_OK = 0,
	MB_YESNO
} MSGBOX;

typedef enum {
	FALSE = 0,
	TRUE
} BOOL;
